Subject: [DMVR] (no subject)

From: "Mike Slater" <[email-masked]>
Date: Mon, 9 May 2005 18:45:52 -0500

This is a reminder that a points event will be held this weekend, May 15th
at Sandpiper Recreation Area at Saylorville Lake. Registration opens about
8AM with mandatory drivers meeting at 10:30 followed by first car off about
11AM. Pre-registration is HIGHLY recommended and strongly encouraged.

There is also a test and tune for the first 25 entries of DMVR members
starting at 10AM on Saturday, May 14th. You must be an SCCA member to
participate in this and it is a no points opportunity to run your car. The
cost is $20. Pre-registration is available for this as well.

If you have any questions, please feel to contact me.

Thank you,
Mike Slater